Subject: RE: bug#16815: 24.3.50; Provide completion for `describe-font' (enhancement request)

From: Drew Adams <[email-masked]>
Date: Fri, 29 Apr 2016 12:33:50 -0700 (PDT)

> IMO, this is madness: you are bloating the Emacs session with hundreds
> of fonts, most of which Emacs will never need to use, or even know
> about.  We certainly shouldn't do anything like that in Emacs.

I don't think it is madness.  I (and others) have been taking
advantage of it for a long time.

> The doc string of describe-font clearly says that the font must be one
> which Emacs already loaded, so completing on all the _installed_ fonts
> is definitely not TRT.

I certainly wouldn't have a problem with that: completing against
the installed fonts is fine by me.  My reply to Lars was to make
the point that this is about choosing a font, not choosing a
fontset - completion should be against font names.

[Note: Things are a lot different if you can complete against
parts of the font name, and especially if you can do so
progressively, to narrow down the matching candidates.  If
all you have is a single pattern-match attempt then the
completion behavior is much less helpful/interesting.]